
{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables-responsive.css' %}">
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Monitoring / LRA Rekening</li>
        </ol>
    </nav>

    <a href="{% url 'profile:admin_user_create' %}"> 
        <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-plus"></i> Uplad Data LRA Rekening</button>
    </a>
    

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Data LRA Rekening</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive py-3">
                <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                    <thead class="bg-info text-white">
                        <tr>
                            <th scope="col" class="text-center">ID</th>
                            <th scope="col" class="text-center">created_at</th>
                            <th scope="col" class="text-center">updated_at</th>
                            <th scope="col" class="text-center">deleted_at</th>
                            <th scope="col" class="text-center">Tahun</th>
                            <th scope="col" class="text-center">Kode_Rekening</th>
                            <th scope="col" class="text-center">Uraian</th>
                            <th scope="col" class="text-center">Anggaran_Sebelum_Pergeseran</th>
                            <th scope="col" class="text-center">Anggaran_Setelah_Pergeseran</th>
                            <th scope="col" class="text-center">Selisih</th>
                            <th scope="col" class="text-center">Realisasi</th>
                            <th scope="col" class="text-center">Persentase</th>
                            <th scope="col" class="text-center">Sisa</th>
                            <th scope="col" class="text-center">Bulan</th>
                            <th scope="col" class="text-center">Status</th>

                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>1</td>
                            <td>2023-10-03</td>
                            <td>2023-10-03</td>
                            <td>null</td>
                            <td>2023</td>
                            <td>12345</td>
                            <td>Deskripsi Rekening</td>
                            <td>1000000</td>
                            <td>900000</td>
                            <td>100000</td>
                            <td>800000</td>
                            <td>80%</td>
                            <td>100000</td>
                            <td>Januari</td>
                            <td>Aktif</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'profile/js/datatables/datatables.min.js' %}"></script>
    <script src="{% static 'profile/js/admin/admin-aksi.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable({
                responsive: true,
            });
            $('#table-archive').DataTable({
                responsive: true,
            });
        });
    </script>
{% endblock scripts_bawah %}
